Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

- All
- Functions
- Variables
- Enumerations
- Enumerator

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - b -

- b : C_block
- b32 : C_block
- back : st_table_entry
- back_alloc : NameEntry
- back_dynamic : BRefNode
- back_num : NameEntry , BRefNode
- back_ref1 : NameEntry
- back_refs : NameEntry
- back_static : BRefNode
- backp : OnigToken
- backref : OnigToken
- backrefed_mem : ScanEnv
- backtrace : rb_backtrace_struct , rb_debug_inspector_struct
- backtrace_base : rb_backtrace_struct
- backtrace_size : rb_backtrace_struct , rb_debug_inspector_struct
- base : rb_printf_buffer_extra , rb_encoding_entry , heaps_header , CClassNode , OnigToken , StrNode , QtfrNode , EncloseNode , CallNode , BRefNode , AnchorNode , ConsAltNode , CtypeNode , _Node
- base_block : rb_thread_struct
- base_enc : search_path_bfs_t
- base_encoding : nkf_encoding
- base_label : rb_iseq_location_struct
- basic : RObject , RClass , RFloat , RString , RArray , RRegexp , RHash , RFile , RRational , RComplex , RData , RTypedData , RStruct , RBignum , RVALUE , RMatch
- bbuffer : RMD160_CTX
- beg : OnigCaptureTreeNodeStruct , re_registers , rmatch_offset
- begin : ensure_range
- behavior : OnigSyntaxType
- best_indent : yaml_emitter_s
- best_len : OnigMatchArg
- best_s : OnigMatchArg
- best_width : yaml_emitter_s
- big : st_table
- bignum : RVALUE
- binmode : argf
- bins : st_table
- bitcount : _SHA256_CTX , _SHA512_CTX
- bits : heaps_slot , DIR , heaps_header
- blkno : DBM
- blkptr : DBM
- block : rb_env_t , rb_proc_t
- block_allowed : yaml_emitter_s
- block_arg : rb_args_info
- block_iseq : rb_control_frame_struct
- block_len : rb_digest_metadata_t
- block_plain_allowed : yaml_emitter_s
- block_trace : global_variable
- blocking_region_buffer : rb_thread_struct
- blockiseq : rb_call_info_struct
- blockprocval : rb_proc_t
- blockptr : rb_call_info_struct
- body : rb_backtrace_location_struct , rb_method_definition_struct
- bref : _Node
- broken_buf : nkf_state_t
- broken_state : nkf_state_t
- bs : CClassNode
- bt : bt_iter_arg
- bt_mem_end : re_pattern_buffer , ScanEnv
- bt_mem_start : re_pattern_buffer , ScanEnv
- btobj : valued_frame_info , bt_iter_arg
- buf : recvfrom_arg , input_code , io_internal_write_struct , sip_state , sort_by_data , rb_vm_tag , io_internal_read_struct , StrNode , load_arg , zstream , PepperInstance
- buf_filled : zstream
- buff : iseq_compile_data_storage
- buffer : yaml_emitter_s , _SHA512_CTX , SHA1_CTX , yaml_parser_s , md5_state_s , _SHA256_CTX , yaml_emitter_s
- buffer_initial_length : JSON_Generator_StateStruct
- buflen : RMD160_CTX , sip_state , load_arg
- by_name : OnigToken
- byte_array : rb_transcoder
- byte_array_length : rb_transcoder
- byte_len : OnigCaseFoldCodeItem
- byte_pos : pair_t
- bytesequence : bytesequence4_or_float